summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_lede.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_lede.sh')
-rwxr-xr-xbin/reproducible_lede.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index 57b8d2bd..97671514 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -26,7 +26,7 @@ case $1 in
case $1 in
openwrt_build |\
openwrt_get_banner |\
- openwrt_cleanup_tmpdirs) ;; # this is the allowed list
+ node_cleanup_tmpdirs) ;; # this is the allowed list
*)
echo "Unsupported remote node function $@"
exit 1
@@ -52,7 +52,7 @@ START=$(date +'%s')
TMPBUILDDIR=$(mktemp --tmpdir=/srv/workspace/chroots/ -d -t rbuild-lede-build-${DATE}-XXXXXXXX) # used to build on tmpfs
TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-lede-results-XXXXXXXX) # accessable in schroots, used to compare results
BANNER_HTML=$(mktemp --tmpdir=$TMPDIR)
-trap cleanup_tmpdirs INT TERM EXIT
+trap master_cleanup_tmpdirs INT TERM EXIT
cd $TMPBUILDDIR
@@ -250,5 +250,5 @@ irc_message reproducible-builds "$REPRODUCIBLE_URL/lede/ has been updated. ($GOO
echo "============================================================================="
# remove everything, we don't need it anymore...
-cleanup_tmpdirs
+master_cleanup_tmpdirs
trap - INT TERM EXIT